<div>
  LHS: <input type="number"
              [(ngModel)]="lhs"
              (change)="compute()"
              min="-10" max="100" step="5"
              [class.error]="lhs < 1" />
  LHS: <input type="number"
              [(ngModel)]="rhs"
              min="-10" max="100"
              (change)="compute()"
              [class.error]="rhs < 1" />
  <button type="button" [disabled]="lhs < 0 || rhs < 0" (click)="compute()">Compute</button>
</div>
